$919:31:05Claim
    xAutoDM LogoxAutoDM
    Users

    User tweets

    A page of a user's recent tweets.

    GET/v1/users/{handle}/tweets300 credits per page

    Path parameters

    FieldTypeRequiredDescription
    handlestringRequiredX username, without the @.

    Query parameters

    FieldTypeRequiredDescription
    cursorstringOptionalPagination cursor from the previous page's cursor. Omit for the first page.

    Request

    curl https://api.xautodm.com/v1/users/elonmusk/tweets \
      -H "Authorization: Bearer $XAUTODM_API_KEY"

    Response

    Response
    {
      "data": { "tweets": [ { "id": "1849...", "text": "...", ... } ], "cursor": "..." },
      "meta": { "credits_charged": 500, "credits_remaining": 49500, "request_id": "req_..." }
    }

    Errors use one shape for every endpoint. See errors and rate limits.